Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982199 - SELinux is preventing /usr/bin/python2.7 from 'name_connect' accesses on the tcp_socket .
Summary: SELinux is preventing /usr/bin/python2.7 from 'name_connect' accesses on the ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:794fd2ad6d27b1c1228c43c9b12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 11:36 UTC by Carlos Natividade
Modified: 2014-12-19 18:29 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-74.30.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-19 18:29:19 UTC


Attachments (Terms of Use)

Description Carlos Natividade 2013-07-08 11:36:27 UTC
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o python2.7 deva ser permitido acesso de name_connect em  tcp_socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep smoltSendProfil /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:smoltclient_t:s0-s0:c0.c1023
Target Context                system_u:object_r:http_cache_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        smoltSendProfil
Source Path                   /usr/bin/python2.7
Port                          8080
Host                          (removed)
Source RPM Packages           BDB2053 Freeing read locks for locker 0x9d9:
                              14545/140698645497856 BDB2053 Freeing read locks
                              for locker 0x9da: 14545/140698645497856 BDB2053
                              Freeing read locks for locker 0x9db:
                              14545/140698645497856 BDB2053 Freeing read locks
                              for locker 0x9dc: 14545/140698645497856
                              python-2.7.5-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-57.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.8-300.fc19.x86_64 #1 SMP Thu
                              Jun 27 19:24:23 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-07 01:20:02 BRT
Last Seen                     2013-07-07 01:20:07 BRT
Local ID                      383477aa-fa2d-4b6c-a038-04b15eed626d

Raw Audit Messages
type=AVC msg=audit(1373170807.439:370): avc:  denied  { name_connect } for  pid=14492 comm="smoltSendProfil" dest=8080 scontext=system_u:system_r:smoltclient_t:s0-s0:c0.c1023 tcontext=system_u:object_r:http_cache_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1373170807.439:370): arch=x86_64 syscall=connect success=no exit=EINPROGRESS a0=3 a1=7fff473733a0 a2=10 a3=3 items=0 ppid=14491 pid=14492 auid=999 uid=999 gid=998 euid=999 suid=999 fsuid=999 egid=998 sgid=998 fsgid=998 ses=41 tty=(none) comm=smoltSendProfil exe=/usr/bin/python2.7 subj=system_u:system_r:smoltclient_t:s0-s0:c0.c1023 key=(null)

Hash: smoltSendProfil,smoltclient_t,http_cache_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.8-300.fc19.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2014-08-22 11:35:40 UTC
commit f092e0cd149dfac7b17346957f4d7a799fec8b43
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Aug 22 13:33:06 2014 +0200

    Allow smoltclient to connect on http_cache port. (#982199)


https://github.com/selinux-policy/selinux-policy/commit/f092e0cd149dfac7b17346957f4d7a799fec8b43

Comment 2 Fedora Update System 2014-12-03 12:53:18 UTC
selinux-policy-3.12.1-74.30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.30.fc19

Comment 3 Fedora Update System 2014-12-04 06:27:11 UTC
Package selinux-policy-3.12.1-74.30.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.30.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16276/selinux-policy-3.12.1-74.30.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-12-19 18:29:19 UTC
selinux-policy-3.12.1-74.30.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.